//
//  Player.swift
//  BRKN_ESC
//
//  Created by Andre Mendez on 2/1/20.
//  Copyright © 2020 Andre Mendez. All rights reserved.
//

import Foundation
import SpriteKit


class Player: SKSpriteNode{
    let player = SKSpriteNode(imageNamed: "Bluewalkf1big")
    
    func getPosition() -> CGPoint{
        return player.position
    }
    
    func setUp(pos: CGPoint, scene: SKScene){
        player.name = "player"
        player.physicsBody = SKPhysicsBody(rectangleOf: player.size)
        player.physicsBody?.affectedByGravity = false
        player.physicsBody?.allowsRotation = false


        //player.position.x = frame.minX + 75;
        player.position = pos
        player.zPosition = 1;
        scene.addChild(player)
    }
    
    func moveRight(){
        player.position.x += player.size.width;
    }
    func moveLeft(){
        player.position.x += -player.size.width;
    }
    func moveUp(){
        player.position.y += player.size.height;
    }
    func moveDown(){
        player.position.y -= player.size.height;
    }

}
    

